<?php


namespace Schaffen\Core\Movement\Repositories;

use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Core\Movement\Models\Sales;

class SalesRepository extends Repository
{
    protected $model = Sales::class;

    protected $searchableFields = [
        ["field" => "ven_codigo"],
        ["field" => "ven_fk_pes_codigo_vendedor"]
    ];

    public function storeOrUpdate($values, int $id = null, array $relations = [])
    {
        try {
            return parent::storeOrUpdate($values, $id, $relations);
        } catch (\Exception $e) {
            return $e;
        }

    }
}
